summaryrefslogtreecommitdiff
path: root/debian/schroot.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/schroot.postinst')
-rw-r--r--debian/schroot.postinst53
1 files changed, 53 insertions, 0 deletions
diff --git a/debian/schroot.postinst b/debian/schroot.postinst
new file mode 100644
index 00000000..720f06e9
--- /dev/null
+++ b/debian/schroot.postinst
@@ -0,0 +1,53 @@
+#! /bin/sh
+# postinst script for schroot
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+# Move a conffile without triggering a dpkg question
+mv_conffile() {
+ OLDCONFFILE="$1"
+ NEWCONFFILE="$2"
+
+ if [ -e "$OLDCONFFILE" ]; then
+ echo "Preserving user changes to $NEWCONFFILE ..."
+ mv -f "$NEWCONFFILE" "$NEWCONFFILE".dpkg-new
+ mv -f "$OLDCONFFILE" "$NEWCONFFILE"
+ fi
+}
+
+case "$1" in
+configure)
+ if dpkg --compare-versions "$2" le "0.1.4-1"; then
+ mv_conffile "/etc/schroot.conf" "/etc/schroot/schroot.conf"
+ fi
+ if dpkg --compare-versions "$2" le "0.2.6-1"; then
+ mv_conffile "/etc/schroot/run.d/50sbuild" "/etc/schroot/setup.d/50sbuild"
+ mv_conffile "/etc/schroot/run.d/00check" "/etc/schroot/exec.d/00check"
+ fi
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0